titles = {
    'td1': '280000mt ME Gulf to US Gulf',
    'td2': '270000mt ME Gulf to Singapore',
    'td3': 'ME Gulf to Japan',
    'td4': 'W Africa to US Gulf',
    'td5': 'W Africa to USAC',
    'td6': 'Black Sea / Med',
    'td7': 'North Sea to Cont',
    'td8': 'Kuwait-Singapore (Crude/DPP Heat 135F)',
    'td9': 'TD9',
    'td10d': 'Caribs to USAC - Double hull vessel',
    'td12': 'ARA to US Gulf',
    'td14': 'SE Asia to EC Australia',
    'td15': 'West Africa to China',
    'td16': 'Black Sea to Mediterranean',
    'td17': 'Baltic to UK-Cont',
    'td18': 'Baltic to UK-Cont',
    'td19': 'Cross Med',
    'tc1': 'Middle East Gulf - Japan',
    'tc2': 'Continent to USAC',
    'tc3_38': 'Caribbean - USAC',
    'tc5': 'Middle East to Japan',
    'tc6': 'Algeria/Euromed',
    'tc9': 'CPP/UNL m/distillate Baltic to UK/Cont.',
    'tc8': 'CPP/UNL m/distillate AG to UK-Cont',
    'tc14': 'U.S.Gulf to Continent',

}

rott_fuels = {
    'AAYWT00': 'MGO',  # Gasoil 0.1% Rdam FOB Barges Platt's Mid (US$/T)
    'PUMFD00': 'VLSFO',  # 0.5% FOB Rotterdam barge
    'PUAAP00': 'LSFO',  # No.6 1%/LSFO NWE FOB Barges Platt's Mid (US$/T)
    'PUABC00': 'HSFO'  # HSFO 3.5% NWE FOB Barges Platt's Mid (US$/T)
}

sing_fuels = {
    'AAFEX00': 'MGO',  # Gasoil .05%S (500ppm) FOB Spore Cargo (DW USD/BBL)
    'AMFSA00': 'VLSFO',  # Marine Fuel 0.5% FOB Spore Cargo $/mt (DW USD/MT)
    # 'AAFEX00': 'LSFO', # Gasoil 0.05% Singapore Platt's Mid (US$/Bbl)
    'PPXDK00': 'HSFO'  # HSFO 380 4.0% Singapore Platt's Mid (US$/T)
}

route_using_sing_fuels = ['TC5', 'TC6', 'TC7', 'TC12', 'TD3c', 'TD22']

route_data = {'TD1': {'Knots Ballast': 12.5,
                      'Knots Laden': 13,
                      'IFO-Ballast': 53,
                      'IFO-Laden': 70,
                      'IFO-Port (Loading)': 20,
                      'MDO-Port (Loading)': 1,
                      'IFO-Port (Discharging)': 110,
                      'MDO-Port (Discharging)': 1,
                      'Heating Fuel Consumption': 0,
                      'IFO-Anchor': 10,
                      'GRT': 0,
                      '$ per GRT': 0,
                      'Suez Canal NT': 155000,
                      'Canal Rate': 404530,
                      'Canal Port Cost': 49460,
                      'Voyage Details': 0,
                      'Last Port': 'Loop',
                      'Load Port': 'Ras Tanura',
                      'Discharge Port': 'Loop',
                      'Bunkers': 'Singapore',
                      'Ballast Miles Non ECA': 9039,
                      'Laden Miles Non ECA': 12131,
                      'Ballast Miles ECA': 592,
                      'Laden Miles ECA': 207,
                      'Cargo Quantity (Mts)': 280000,
                      'Commission %': 2.5,
                      'Charges - Load port': 80521.3333333333,
                      'Charges - Discharge port': 18975,
                      'Canal Dues': 453990,
                      'WS Fixed Differential': 0.27,
                      'Additional Expenses': 0,
                      'Weather Factor:': 0.05,
                      'Days Ballast Non ECA': 0,
                      'Days Laden Non ECA': 0,
                      'Days Ballast ECA': 0,
                      'Days Laden ECA': 0,
                      'Days-Loading': 2,
                      'Days-Discharging': 2,
                      'Days-Waiting': 1.5,
                      'Days-Canal': 1,
                      'Days-Heating - Maintain 135F': 0,
                      'LoadingFuel': 'IFO',
                      'DischargeFuel': 'LSMGO',
                      'WaitingFuel': 'IFO',
                      'SuezWaiting': 'NO',
                      'Lumpsum': 0,
                      'OwnerPremium': 0,
                      'HeatingFuel': 0},
              'TD2': {'Knots Ballast': 12.5,
                      'Knots Laden': 13,
                      'IFO-Ballast': 53,
                      'IFO-Laden': 70,
                      'IFO-Port (Loading)': 20,
                      'MDO-Port (Loading)': 1,
                      'IFO-Port (Discharging)': 110,
                      'MDO-Port (Discharging)': 1,
                      'Heating Fuel Consumption': 0,
                      'IFO-Anchor': 10,
                      'GRT': 0,
                      '$ per GRT': 0,
                      'Suez Canal NT': 155000,
                      'Canal Rate': 0,
                      'Canal Port Cost': 0,
                      'Voyage Details': 0,
                      'Last Port': 'Singapore',
                      'Load Port': 'Ras Tanura',
                      'Discharge Port': 'Singapore',
                      'Bunkers': 'Singapore',
                      'Ballast Miles Non ECA': 3735,
                      'Laden Miles Non ECA': 3734,
                      'Ballast Miles ECA': 0,
                      'Laden Miles ECA': 0,
                      'Cargo Quantity (Mts)': 270000,
                      'Commission %': 2.5,
                      'Charges - Load port': 80521.33333333333,
                      'Charges - Discharge port': 78239.0168518654,
                      'Canal Dues': 0,
                      'WS Fixed Differential': 0.27,
                      'Additional Expenses': 0,
                      'Weather Factor:': 0.05,
                      'Days Ballast Non ECA': 0,
                      'Days Laden Non ECA': 0,
                      'Days Ballast ECA': 0,
                      'Days Laden ECA': 0,
                      'Days-Loading': 2,
                      'Days-Discharging': 2,
                      'Days-Waiting': 1,
                      'Days-Canal': 0,
                      'Days-Heating - Maintain 135F': 0,
                      'LoadingFuel': 'IFO',
                      'DischargeFuel': 'IFO',
                      'WaitingFuel': 'IFO',
                      'SuezWaiting': 'NO',
                      'Lumpsum': 0,
                      'OwnerPremium': 0,
                      'HeatingFuel': 0},
              'TD3 C': {'Knots Ballast': 12.5,
                        'Knots Laden': 13,
                        'IFO-Ballast': 53,
                        'IFO-Laden': 70,
                        'IFO-Port (Loading)': 20,
                        'MDO-Port (Loading)': 1,
                        'IFO-Port (Discharging)': 110,
                        'MDO-Port (Discharging)': 1,
                        'Heating Fuel Consumption': 0,
                        'IFO-Anchor': 10,
                        'GRT': 0,
                        '$ per GRT': 0,
                        'Suez Canal NT': 155000,
                        'Canal Rate': 0,
                        'Canal Port Cost': 0,
                        'Voyage Details': 0,
                        'Last Port': 'Ningbo',
                        'Load Port': 'Ras Tanura',
                        'Discharge Port': 'Ningbo',
                        'Bunkers': 'Singapore',
                        'Ballast Miles Non ECA': 5812,
                        'Laden Miles Non ECA': 5812,
                        'Ballast Miles ECA': 85,
                        'Laden Miles ECA': 85,
                        'Cargo Quantity (Mts)': 270000,
                        'Commission %': 3.75,
                        'Charges - Load port': 80521.33333333333,
                        'Charges - Discharge port': 187645.826312473,
                        'Canal Dues': 0,
                        'WS Fixed Differential': 0.27,
                        'Additional Expenses': 0,
                        'Weather Factor:': 0.05,
                        'Days Ballast Non ECA': 0,
                        'Days Laden Non ECA': 0,
                        'Days Ballast ECA': 0,
                        'Days Laden ECA': 0,
                        'Days-Loading': 2,
                        'Days-Discharging': 2,
                        'Days-Waiting': 2,
                        'Days-Canal': 0,
                        'Days-Heating - Maintain 135F': 0,
                        'LoadingFuel': 'IFO',
                        'DischargeFuel': 'LSMGO',
                        'WaitingFuel': 'IFO',
                        'SuezWaiting': 'NO',
                        'Lumpsum': 0,
                        'OwnerPremium': 0,
                        'HeatingFuel': 0},
              'TD15': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 53,
                       'IFO-Laden': 70,
                       'IFO-Port (Loading)': 20,
                       'MDO-Port (Loading)': 1,
                       'IFO-Port (Discharging)': 110,
                       'MDO-Port (Discharging)': 1,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 10,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 155000,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Ningbo',
                       'Load Port': 'Serp FPSO+Bonny offshore',
                       'Discharge Port': 'Ningbo',
                       'Bunkers': 'Singapore',
                       'Ballast Miles Non ECA': 10127,
                       'Laden Miles Non ECA': 10127,
                       'Ballast Miles ECA': 85,
                       'Laden Miles ECA': 85,
                       'Cargo Quantity (Mts)': 260000,
                       'Commission %': 2.5,
                       'Charges - Load port': 32349,
                       'Charges - Discharge port': 187645.826312473,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 0,
                       'Days Laden Non ECA': 0,
                       'Days Ballast ECA': 0,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 1,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'IFO',
                       'DischargeFuel': 'LSMGO',
                       'WaitingFuel': 'IFO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TD22': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 53,
                       'IFO-Laden': 70,
                       'IFO-Port (Loading)': 20,
                       'MDO-Port (Loading)': 1,
                       'IFO-Port (Discharging)': 110,
                       'MDO-Port (Discharging)': 1,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 10,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 155000,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Ningbo',
                       'Load Port': 'Galveston O/S Lightering area',
                       'Discharge Port': 'Ningbo',
                       'Bunkers': 'Singapore',
                       'Ballast Miles Non ECA': 14975,
                       'Laden Miles Non ECA': 14974,
                       'Ballast Miles ECA': 291,
                       'Laden Miles ECA': 291,
                       'Cargo Quantity (Mts)': 270000,
                       'Commission %': 2.5,
                       'Charges - Load port': 4995,
                       'Charges - Discharge port': 187645.826312473,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 0,
                       'Days Laden Non ECA': 0,
                       'Days Ballast ECA': 0,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 1,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'LSMGO',
                       'DischargeFuel': 'LSMGO',
                       'WaitingFuel': 'LSMGO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 'YES',
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TD6': {'Knots Ballast': 12.5,
                      'Knots Laden': 13,
                      'IFO-Ballast': 44,
                      'IFO-Laden': 53,
                      'IFO-Port (Loading)': 12,
                      'MDO-Port (Loading)': 1,
                      'IFO-Port (Discharging)': 68,
                      'MDO-Port (Discharging)': 1,
                      'Heating Fuel Consumption': 0,
                      'IFO-Anchor': 10,
                      'GRT': 0,
                      '$ per GRT': 0,
                      'Suez Canal NT': 0,
                      'Canal Rate': 0,
                      'Canal Port Cost': 0,
                      'Voyage Details': 0,
                      'Last Port': 'Augusta',
                      'Load Port': 'Novorossiysk',
                      'Discharge Port': 'Augusta',
                      'Bunkers': 'Rotterdam',
                      'Ballast Miles Non ECA': 1269,
                      'Laden Miles Non ECA': 1268,
                      'Ballast Miles ECA': 0,
                      'Laden Miles ECA': 0,
                      'Cargo Quantity (Mts)': 135000,
                      'Commission %': 2.5,
                      'Charges - Load port': 102702.096266429,
                      'Charges - Discharge port': 170848.796839458,
                      'Canal Dues': 59635,
                      'WS Fixed Differential': 0,
                      'Additional Expenses': 0,
                      'Weather Factor:': 0.05,
                      'Days Ballast Non ECA': 0,
                      'Days Laden Non ECA': 0,
                      'Days Ballast ECA': 0,
                      'Days Laden ECA': 0,
                      'Days-Loading': 2,
                      'Days-Discharging': 2,
                      'Days-Waiting': 1,
                      'Days-Canal': 2,
                      'Days-Heating - Maintain 135F': 0,
                      'LoadingFuel': 'IFO',
                      'DischargeFuel': 'LSMGO',
                      'WaitingFuel': 'IFO',
                      'SuezWaiting': 'NO',
                      'Lumpsum': 0,
                      'OwnerPremium': 0,
                      'HeatingFuel': 0},
              'TD20': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 44,
                       'IFO-Laden': 53,
                       'IFO-Port (Loading)': 12,
                       'MDO-Port (Loading)': 1,
                       'IFO-Port (Discharging)': 68,
                       'MDO-Port (Discharging)': 1,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 10,
                       'GRT': 82000,
                       '$ per GRT': 1.3522925,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Rotterdam',
                       'Load Port': 'Offshore Bonny',
                       'Discharge Port': 'Rotterdam',
                       'Bunkers': 'Rotterdam',
                       'Ballast Miles Non ECA': 4058,
                       'Laden Miles Non ECA': 4050,
                       'Ballast Miles ECA': 417,
                       'Laden Miles ECA': 424,
                       'Cargo Quantity (Mts)': 130000,
                       'Commission %': 2.5,
                       'Charges - Load port': 14695,
                       'Charges - Discharge port': 146129.534299054,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 0,
                       'Days Laden Non ECA': 0,
                       'Days Ballast ECA': 0,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 1,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'IFO',
                       'DischargeFuel': 'LSMGO',
                       'WaitingFuel': 'IFO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TD23': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 44,
                       'IFO-Laden': 53,
                       'IFO-Port (Loading)': 12,
                       'MDO-Port (Loading)': 1,
                       'IFO-Port (Discharging)': 68,
                       'MDO-Port (Discharging)': 1,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 10,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 76714,
                       'Canal Rate': 273800,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Lavera',
                       'Load Port': 'Basrah',
                       'Discharge Port': 'Lavera',
                       'Bunkers': 'Rotterdam',
                       'Ballast Miles Non ECA': 4851,
                       'Laden Miles Non ECA': 4851,
                       'Ballast Miles ECA': 0,
                       'Laden Miles ECA': 0,
                       'Cargo Quantity (Mts)': 140000,
                       'Commission %': 2.5,
                       'Charges - Load port': 149021.481980754,
                       'Charges - Discharge port': 184738.417335089,
                       'Canal Dues': 593697.38,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 0,
                       'Days Laden Non ECA': 0,
                       'Days Ballast ECA': 0,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 1,
                       'Days-Canal': 2,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'IFO',
                       'DischargeFuel': 'LSMGO',
                       'WaitingFuel': 'IFO',
                       'SuezWaiting': 'YES',
                       'Lumpsum': 0,
                       'OwnerPremium': 593697.38,
                       'HeatingFuel': 0},
              'TD7': {'Knots Ballast': 12.5,
                      'Knots Laden': 13,
                      'IFO-Ballast': 36,
                      'IFO-Laden': 43,
                      'IFO-Port (Loading)': 10,
                      'MDO-Port (Loading)': 1,
                      'IFO-Port (Discharging)': 55,
                      'MDO-Port (Discharging)': 1,
                      'Heating Fuel Consumption': 0,
                      'IFO-Anchor': 5,
                      'GRT': 0,
                      '$ per GRT': 0,
                      'Suez Canal NT': 0,
                      'Canal Rate': 0,
                      'Canal Port Cost': 0,
                      'Voyage Details': 0,
                      'Last Port': 'Wihelmshaven',
                      'Load Port': 'Hound Point',
                      'Discharge Port': 'Wihelmshaven',
                      'Bunkers': 'Rotterdam',
                      'Ballast Miles Non ECA': 0,
                      'Laden Miles Non ECA': 0,
                      'Ballast Miles ECA': 444,
                      'Laden Miles ECA': 444,
                      'Cargo Quantity (Mts)': 80000,
                      'Commission %': 2.5,
                      'Charges - Load port': 201520.687802256,
                      'Charges - Discharge port': 86576.0804501376,
                      'Canal Dues': 0,
                      'WS Fixed Differential': 0,
                      'Additional Expenses': 0,
                      'Weather Factor:': 0.05,
                      'Days Ballast Non ECA': 0,
                      'Days Laden Non ECA': 0,
                      'Days Ballast ECA': 0,
                      'Days Laden ECA': 0,
                      'Days-Loading': 2,
                      'Days-Discharging': 2,
                      'Days-Waiting': 0.5,
                      'Days-Canal': 0,
                      'Days-Heating - Maintain 135F': 0,
                      'LoadingFuel': 'LSMGO',
                      'DischargeFuel': 'LSMGO',
                      'WaitingFuel': 'LSMGO',
                      'SuezWaiting': 'NO',
                      'Lumpsum': 0,
                      'OwnerPremium': 0,
                      'HeatingFuel': 0},
              'TD8': {'Knots Ballast': 12.5,
                      'Knots Laden': 13,
                      'IFO-Ballast': 36,
                      'IFO-Laden': 43,
                      'IFO-Port (Loading)': 10,
                      'MDO-Port (Loading)': 1,
                      'IFO-Port (Discharging)': 55,
                      'MDO-Port (Discharging)': 1,
                      'Heating Fuel Consumption': 289.875,
                      'IFO-Anchor': 5,
                      'GRT': 0,
                      '$ per GRT': 0,
                      'Suez Canal NT': 0,
                      'Canal Rate': 0,
                      'Canal Port Cost': 0,
                      'Voyage Details': 0,
                      'Last Port': 'Singapore',
                      'Load Port': 'Mina Al Ahmadi',
                      'Discharge Port': 'Singapore',
                      'Bunkers': 'Singapore',
                      'Ballast Miles Non ECA': 3861,
                      'Laden Miles Non ECA': 3861,
                      'Ballast Miles ECA': 0,
                      'Laden Miles ECA': 0,
                      'Cargo Quantity (Mts)': 80000,
                      'Commission %': 2.5,
                      'Charges - Load port': 48480.1834261382,
                      'Charges - Discharge port': 24159.246449334,
                      'Canal Dues': 0,
                      'WS Fixed Differential': 0,
                      'Additional Expenses': 0,
                      'Weather Factor:': 0.05,
                      'Days Ballast Non ECA': 0,
                      'Days Laden Non ECA': 0,
                      'Days Ballast ECA': 0,
                      'Days Laden ECA': 0,
                      'Days-Loading': 2,
                      'Days-Discharging': 2,
                      'Days-Waiting': 0.5,
                      'Days-Canal': 0,
                      'Days-Heating - Maintain 135F': 0,
                      'LoadingFuel': 'IFO',
                      'DischargeFuel': 'IFO',
                      'WaitingFuel': 'IFO',
                      'SuezWaiting': 'NO',
                      'Lumpsum': 0,
                      'OwnerPremium': 0,
                      'HeatingFuel': 'IFO'},
              'TD9': {'Knots Ballast': 12.5,
                      'Knots Laden': 13,
                      'IFO-Ballast': 36,
                      'IFO-Laden': 43,
                      'IFO-Port (Loading)': 10,
                      'MDO-Port (Loading)': 1,
                      'IFO-Port (Discharging)': 55,
                      'MDO-Port (Discharging)': 1,
                      'Heating Fuel Consumption': 0,
                      'IFO-Anchor': 5,
                      'GRT': 0,
                      '$ per GRT': 0,
                      'Suez Canal NT': 0,
                      'Canal Rate': 0,
                      'Canal Port Cost': 0,
                      'Voyage Details': 0,
                      'Last Port': 'Corpus Christi',
                      'Load Port': 'Covenas',
                      'Discharge Port': 'Corpus Christi',
                      'Bunkers': 'Rotterdam',
                      'Ballast Miles Non ECA': 1498,
                      'Laden Miles Non ECA': 1497,
                      'Ballast Miles ECA': 202,
                      'Laden Miles ECA': 202,
                      'Cargo Quantity (Mts)': 70000,
                      'Commission %': 2.5,
                      'Charges - Load port': 92550,
                      'Charges - Discharge port': 49566,
                      'Canal Dues': 0,
                      'WS Fixed Differential': 0,
                      'Additional Expenses': 0,
                      'Weather Factor:': 0.05,
                      'Days Ballast Non ECA': 0,
                      'Days Laden Non ECA': 0,
                      'Days Ballast ECA': 0,
                      'Days Laden ECA': 0,
                      'Days-Loading': 2,
                      'Days-Discharging': 2,
                      'Days-Waiting': 0.5,
                      'Days-Canal': 0,
                      'Days-Heating - Maintain 135F': 0,
                      'LoadingFuel': 'IFO',
                      'DischargeFuel': 'LSMGO',
                      'WaitingFuel': 'IFO',
                      'SuezWaiting': 'NO',
                      'Lumpsum': 0,
                      'OwnerPremium': 0,
                      'HeatingFuel': 0},
              'TD14': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 36,
                       'IFO-Laden': 43,
                       'IFO-Port (Loading)': 10,
                       'MDO-Port (Loading)': 1,
                       'IFO-Port (Discharging)': 55,
                       'MDO-Port (Discharging)': 1,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 5,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Sydney',
                       'Load Port': 'Seria',
                       'Discharge Port': 'Sydney',
                       'Bunkers': 'Singapore',
                       'Ballast Miles Non ECA': 3802,
                       'Laden Miles Non ECA': 3802,
                       'Ballast Miles ECA': 0,
                       'Laden Miles ECA': 0,
                       'Cargo Quantity (Mts)': 80000,
                       'Commission %': 2.5,
                       'Charges - Load port': 87700,
                       'Charges - Discharge port': 81555.8343789209,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 2.3427041499330656e-05,
                       'Days Laden Non ECA': 2.3433315479378682e-05,
                       'Days Ballast ECA': 0,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 0.5,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'IFO',
                       'DischargeFuel': 'IFO',
                       'WaitingFuel': 'IFO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TD17': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 36,
                       'IFO-Laden': 43,
                       'IFO-Port (Loading)': 10,
                       'MDO-Port (Loading)': 1,
                       'IFO-Port (Discharging)': 55,
                       'MDO-Port (Discharging)': 1,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 5,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Wihelmshaven',
                       'Load Port': 'Primorsk',
                       'Discharge Port': 'Wihelmshaven',
                       'Bunkers': 'Rotterdam',
                       'Ballast Miles Non ECA': 0,
                       'Laden Miles Non ECA': 0,
                       'Ballast Miles ECA': 1305,
                       'Laden Miles ECA': 1305,
                       'Cargo Quantity (Mts)': 100000,
                       'Commission %': 2.5,
                       'Charges - Load port': 101648.931468474,
                       'Charges - Discharge port': 86576.0804501376,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 0,
                       'Days Laden Non ECA': 0,
                       'Days Ballast ECA': 1.5055058499655885e-05,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 0.5,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'LSMGO',
                       'DischargeFuel': 'LSMGO',
                       'WaitingFuel': 'LSMGO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TD19': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 36,
                       'IFO-Laden': 43,
                       'IFO-Port (Loading)': 10,
                       'MDO-Port (Loading)': 1,
                       'IFO-Port (Discharging)': 55,
                       'MDO-Port (Discharging)': 1,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 5,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Lavera Euro',
                       'Load Port': 'Ceyhan Euro',
                       'Discharge Port': 'Lavera Euro',
                       'Bunkers': 'Rotterdam',
                       'Ballast Miles Non ECA': 1720,
                       'Laden Miles Non ECA': 1719,
                       'Ballast Miles ECA': 0,
                       'Laden Miles ECA': 0,
                       'Cargo Quantity (Mts)': 80000,
                       'Commission %': 2.5,
                       'Charges - Load port': 125915.24003352,
                       'Charges - Discharge port': 136711.361187597,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 8.640268588920707e-06,
                       'Days Laden Non ECA': 8.640268588920707e-06,
                       'Days Ballast ECA': 0,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 0.5,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'LSMGO',
                       'DischargeFuel': 'LSMGO',
                       'WaitingFuel': 'LSMGO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TC15': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 36,
                       'IFO-Laden': 43,
                       'IFO-Port (Loading)': 10,
                       'MDO-Port (Loading)': 1,
                       'IFO-Port (Discharging)': 42.5,
                       'MDO-Port (Discharging)': 1,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 5,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 53986,
                       'Canal Rate': 181300,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Chiba',
                       'Load Port': 'Skikda',
                       'Discharge Port': 'Chiba',
                       'Bunkers': 'Singapore',
                       'Ballast Miles Non ECA': 9269,
                       'Laden Miles Non ECA': 9269,
                       'Ballast Miles ECA': 0,
                       'Laden Miles ECA': 0,
                       'Cargo Quantity (Mts)': 80000,
                       'Commission %': 2.5,
                       'Charges - Load port': 185158,
                       'Charges - Discharge port': 67784.9237635651,
                       'Canal Dues': 511154.46,
                       'WS Fixed Differential': 6.11,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 5.843071786310518e-06,
                       'Days Laden Non ECA': 5.843462000801389e-06,
                       'Days Ballast ECA': 0,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 0.5,
                       'Days-Canal': 2,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'IFO',
                       'DischargeFuel': 'IFO',
                       'WaitingFuel': 'IFO',
                       'SuezWaiting': 'YES',
                       'Lumpsum': 'YES',
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TD24': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 36,
                       'IFO-Laden': 43,
                       'IFO-Port (Loading)': 10,
                       'MDO-Port (Loading)': 1,
                       'IFO-Port (Discharging)': 55,
                       'MDO-Port (Discharging)': 1,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 5,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Qingdao',
                       'Load Port': 'Kozmino',
                       'Discharge Port': 'Qingdao',
                       'Bunkers': 'Singapore',
                       'Ballast Miles Non ECA': 969,
                       'Laden Miles Non ECA': 968,
                       'Ballast Miles ECA': 46,
                       'Laden Miles ECA': 46,
                       'Cargo Quantity (Mts)': 100000,
                       'Commission %': 2.5,
                       'Charges - Load port': 77988.48060981174,
                       'Charges - Discharge port': 61595.32685489315,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 6.895193065405832e-05,
                       'Days Laden Non ECA': 6.900630914826498e-05,
                       'Days Ballast ECA': 3.447596532702916e-05,
                       'Days Laden ECA': 6.900630914826498e-05,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 0.5,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'IFO',
                       'DischargeFuel': 'LSMGO',
                       'WaitingFuel': 'IFO',
                       'SuezWaiting': 0,
                       'Lumpsum': 'YES',
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TD25': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 36,
                       'IFO-Laden': 43,
                       'IFO-Port (Loading)': 10,
                       'MDO-Port (Loading)': 1,
                       'IFO-Port (Discharging)': 55,
                       'MDO-Port (Discharging)': 1,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 5,
                       'GRT': 57300,
                       '$ per GRT': 1.2662303,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Rotterdam',
                       'Load Port': 'Houston',
                       'Discharge Port': 'Rotterdam',
                       'Bunkers': 'Rotterdam',
                       'Ballast Miles Non ECA': 4458,
                       'Laden Miles Non ECA': 4457,
                       'Ballast Miles ECA': 655,
                       'Laden Miles ECA': 655,
                       'Cargo Quantity (Mts)': 70000,
                       'Commission %': 2.5,
                       'Charges - Load port': 50570,
                       'Charges - Discharge port': 101434.215252005,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 2.156234598324298e-05,
                       'Days Laden Non ECA': 2.160493827160494e-05,
                       'Days Ballast ECA': 1.078117299162149e-05,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 0.5,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'LSMGO',
                       'DischargeFuel': 'LSMGO',
                       'WaitingFuel': 'LSMGO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TC2_37': {'Knots Ballast': 12.5,
                         'Knots Laden': 13,
                         'IFO-Ballast': 22.5,
                         'IFO-Laden': 28,
                         'IFO-Port (Loading)': 5,
                         'MDO-Port (Loading)': 2,
                         'IFO-Port (Discharging)': 25,
                         'MDO-Port (Discharging)': 2,
                         'Heating Fuel Consumption': 0,
                         'IFO-Anchor': 5,
                         'GRT': 27500,
                         '$ per GRT': 1.1117423,
                         'Suez Canal NT': 0,
                         'Canal Rate': 0,
                         'Canal Port Cost': 0,
                         'Voyage Details': 0,
                         'Last Port': 'New York',
                         'Load Port': 'Rotterdam',
                         'Discharge Port': 'New York',
                         'Bunkers': 'Rotterdam',
                         'Ballast Miles Non ECA': 1682,
                         'Laden Miles Non ECA': 1690,
                         'Ballast Miles ECA': 1667,
                         'Laden Miles ECA': 1658,
                         'Cargo Quantity (Mts)': 37000,
                         'Commission %': 3.75,
                         'Charges - Load port': 52939.0638094097,
                         'Charges - Discharge port': 41600,
                         'Canal Dues': 0,
                         'WS Fixed Differential': 0,
                         'Additional Expenses': 0,
                         'Weather Factor:': 0.05,
                         'Days Ballast Non ECA': 8.640268588920707e-06,
                         'Days Laden Non ECA': 8.640268588920707e-06,
                         'Days Ballast ECA': 4.3201342944603536e-06,
                         'Days Laden ECA': 0,
                         'Days-Loading': 2,
                         'Days-Discharging': 2,
                         'Days-Waiting': 1,
                         'Days-Canal': 0,
                         'Days-Heating - Maintain 135F': 0,
                         'LoadingFuel': 'LSMGO',
                         'DischargeFuel': 'LSMGO',
                         'WaitingFuel': 'LSMGO',
                         'SuezWaiting': 'NO',
                         'Lumpsum': 0,
                         'OwnerPremium': 0,
                         'HeatingFuel': 0},
              'TC10': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 22.5,
                       'IFO-Laden': 28,
                       'IFO-Port (Loading)': 5,
                       'MDO-Port (Loading)': 2,
                       'IFO-Port (Discharging)': 25,
                       'MDO-Port (Discharging)': 2,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 5,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'L A',
                       'Load Port': 'Yosu',
                       'Discharge Port': 'L A',
                       'Bunkers': 'Singapore',
                       'Ballast Miles Non ECA': 4835,
                       'Laden Miles Non ECA': 4834,
                       'Ballast Miles ECA': 540,
                       'Laden Miles ECA': 541,
                       'Cargo Quantity (Mts)': 40000,
                       'Commission %': 3.75,
                       'Charges - Load port': 27833.07265585684,
                       'Charges - Discharge port': 47731,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 5.843071786310518e-06,
                       'Days Laden Non ECA': 5.843462000801389e-06,
                       'Days Ballast ECA': 2.921535893155259e-06,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 1,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'IFO',
                       'DischargeFuel': 'LSMGO',
                       'WaitingFuel': 'IFO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TC4': {'Knots Ballast': 12.5,
                      'Knots Laden': 13,
                      'IFO-Ballast': 22.5,
                      'IFO-Laden': 28,
                      'IFO-Port (Loading)': 5,
                      'MDO-Port (Loading)': 2,
                      'IFO-Port (Discharging)': 25,
                      'MDO-Port (Discharging)': 2,
                      'Heating Fuel Consumption': 0,
                      'IFO-Anchor': 5,
                      'GRT': 0,
                      '$ per GRT': 0,
                      'Suez Canal NT': 0,
                      'Canal Rate': 0,
                      'Canal Port Cost': 0,
                      'Voyage Details': 0,
                      'Last Port': 'Chiba',
                      'Load Port': 'Singapore',
                      'Discharge Port': 'Chiba',
                      'Bunkers': 'Singapore',
                      'Ballast Miles Non ECA': 2925,
                      'Laden Miles Non ECA': 2924,
                      'Ballast Miles ECA': 0,
                      'Laden Miles ECA': 0,
                      'Cargo Quantity (Mts)': 30000,
                      'Commission %': 3.75,
                      'Charges - Load port': 20312.630665705958,
                      'Charges - Discharge port': 38919.99070199907,
                      'Canal Dues': 0,
                      'WS Fixed Differential': 0,
                      'Additional Expenses': 0,
                      'Weather Factor:': 0.05,
                      'Days Ballast Non ECA': 6.895193065405832e-05,
                      'Days Laden Non ECA': 6.900630914826498e-05,
                      'Days Ballast ECA': 0,
                      'Days Laden ECA': 0,
                      'Days-Loading': 2,
                      'Days-Discharging': 2,
                      'Days-Waiting': 1,
                      'Days-Canal': 0,
                      'Days-Heating - Maintain 135F': 0,
                      'LoadingFuel': 'IFO',
                      'DischargeFuel': 'IFO',
                      'WaitingFuel': 'IFO',
                      'SuezWaiting': 'NO',
                      'Lumpsum': 0,
                      'OwnerPremium': 0,
                      'HeatingFuel': 0},
              'TC11': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 22.5,
                       'IFO-Laden': 28,
                       'IFO-Port (Loading)': 5,
                       'MDO-Port (Loading)': 2,
                       'IFO-Port (Discharging)': 25,
                       'MDO-Port (Discharging)': 2,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 5,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Singapore',
                       'Load Port': 'Yosu',
                       'Discharge Port': 'Singapore',
                       'Bunkers': 'Singapore',
                       'Ballast Miles Non ECA': 2480,
                       'Laden Miles Non ECA': 2480,
                       'Ballast Miles ECA': 0,
                       'Laden Miles ECA': 0,
                       'Cargo Quantity (Mts)': 40000,
                       'Commission %': 3.75,
                       'Charges - Load port': 27833.07265585684,
                       'Charges - Discharge port': 17388.913509651946,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 2.156234598324298e-05,
                       'Days Laden Non ECA': 2.160493827160494e-05,
                       'Days Ballast ECA': 0,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 1,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'IFO',
                       'DischargeFuel': 'IFO',
                       'WaitingFuel': 'IFO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TC1': {'Knots Ballast': 12.5,
                      'Knots Laden': 13,
                      'IFO-Ballast': 36,
                      'IFO-Laden': 43,
                      'IFO-Port (Loading)': 10,
                      'MDO-Port (Loading)': 1,
                      'IFO-Port (Discharging)': 42.5,
                      'MDO-Port (Discharging)': 1,
                      'Heating Fuel Consumption': 0,
                      'IFO-Anchor': 5,
                      'GRT': 0,
                      '$ per GRT': 0,
                      'Suez Canal NT': 0,
                      'Canal Rate': 0,
                      'Canal Port Cost': 0,
                      'Voyage Details': 0,
                      'Last Port': 'Yokohama',
                      'Load Port': 'Ras Tanura',
                      'Discharge Port': 'Yokohama',
                      'Bunkers': 'Singapore',
                      'Ballast Miles Non ECA': 6638,
                      'Laden Miles Non ECA': 6637,
                      'Ballast Miles ECA': 0,
                      'Laden Miles ECA': 0,
                      'Cargo Quantity (Mts)': 75000,
                      'Commission %': 3.75,
                      'Charges - Load port': 28508,
                      'Charges - Discharge port': 65498.80985588099,
                      'Canal Dues': 0,
                      'WS Fixed Differential': 0.27,
                      'Additional Expenses': 0,
                      'Weather Factor:': 0.05,
                      'Days Ballast Non ECA': 1.8037518037518038e-05,
                      'Days Laden Non ECA': 1.8037518037518038e-05,
                      'Days Ballast ECA': 0,
                      'Days Laden ECA': 0,
                      'Days-Loading': 2,
                      'Days-Discharging': 2,
                      'Days-Waiting': 0.5,
                      'Days-Canal': 0,
                      'Days-Heating - Maintain 135F': 0,
                      'LoadingFuel': 'IFO',
                      'DischargeFuel': 'IFO',
                      'WaitingFuel': 'IFO',
                      'SuezWaiting': 'NO',
                      'Lumpsum': 0,
                      'OwnerPremium': 0,
                      'HeatingFuel': 0},
              'TC7': {'Knots Ballast': 12.5,
                      'Knots Laden': 13,
                      'IFO-Ballast': 22.5,
                      'IFO-Laden': 28,
                      'IFO-Port (Loading)': 5,
                      'MDO-Port (Loading)': 2,
                      'IFO-Port (Discharging)': 25,
                      'MDO-Port (Discharging)': 2,
                      'Heating Fuel Consumption': 0,
                      'IFO-Anchor': 5,
                      'GRT': 0,
                      '$ per GRT': 0,
                      'Suez Canal NT': 0,
                      'Canal Rate': 0,
                      'Canal Port Cost': 0,
                      'Voyage Details': 0,
                      'Last Port': 'Australia',
                      'Load Port': 'Singapore',
                      'Discharge Port': 'Australia',
                      'Bunkers': 'Singapore',
                      'Ballast Miles Non ECA': 4471,
                      'Laden Miles Non ECA': 4471,
                      'Ballast Miles ECA': 0,
                      'Laden Miles ECA': 0,
                      'Cargo Quantity (Mts)': 35000,
                      'Commission %': 3.75,
                      'Charges - Load port': 17388.913509651946,
                      'Charges - Discharge port': 61688.3207599888,
                      'Canal Dues': 0,
                      'WS Fixed Differential': 0,
                      'Additional Expenses': 0,
                      'Weather Factor:': 0.05,
                      'Days Ballast Non ECA': 0,
                      'Days Laden Non ECA': 0,
                      'Days Ballast ECA': 0,
                      'Days Laden ECA': 0,
                      'Days-Loading': 2,
                      'Days-Discharging': 2,
                      'Days-Waiting': 1,
                      'Days-Canal': 0,
                      'Days-Heating - Maintain 135F': 0,
                      'LoadingFuel': 'IFO',
                      'DischargeFuel': 'IFO',
                      'WaitingFuel': 'IFO',
                      'SuezWaiting': 'NO',
                      'Lumpsum': 0,
                      'OwnerPremium': 0,
                      'HeatingFuel': 0},
              'TC14': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 22.5,
                       'IFO-Laden': 28,
                       'IFO-Port (Loading)': 5,
                       'MDO-Port (Loading)': 2,
                       'IFO-Port (Discharging)': 25,
                       'MDO-Port (Discharging)': 2,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 5,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Amsterdam',
                       'Load Port': 'Houston',
                       'Discharge Port': 'Amsterdam',
                       'Bunkers': 'Rotterdam',
                       'Ballast Miles Non ECA': 3715,
                       'Laden Miles Non ECA': 3704,
                       'Ballast Miles ECA': 1426,
                       'Laden Miles ECA': 1437,
                       'Cargo Quantity (Mts)': 38000,
                       'Commission %': 2.5,
                       'Charges - Load port': 37725,
                       'Charges - Discharge port': 66893.3317371004,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 2.2662522662522665e-05,
                       'Days Laden Non ECA': 2.2662522662522665e-05,
                       'Days Ballast ECA': 5.665630665630666e-06,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 1,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'LSMGO',
                       'DischargeFuel': 'LSMGO',
                       'WaitingFuel': 'LSMGO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TC12': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 22.5,
                       'IFO-Laden': 28,
                       'IFO-Port (Loading)': 5,
                       'MDO-Port (Loading)': 2,
                       'IFO-Port (Discharging)': 25,
                       'MDO-Port (Discharging)': 2,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 5,
                       'GRT': 35000,
                       '$ per GRT': 0.24,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Chiba',
                       'Load Port': 'Jamangar',
                       'Discharge Port': 'Chiba',
                       'Bunkers': 'Singapore',
                       'Ballast Miles Non ECA': 5717,
                       'Laden Miles Non ECA': 5716,
                       'Ballast Miles ECA': 0,
                       'Laden Miles ECA': 0,
                       'Cargo Quantity (Mts)': 35000,
                       'Commission %': 3.75,
                       'Charges - Load port': 40545,
                       'Charges - Discharge port': 39769.76290097629,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 5.841121495327103e-05,
                       'Days Laden Non ECA': 5.845023380093521e-05,
                       'Days Ballast ECA': 0,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 1,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'IFO',
                       'DischargeFuel': 'IFO',
                       'WaitingFuel': 'IFO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TD18': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 21,
                       'IFO-Laden': 25,
                       'IFO-Port (Loading)': 5,
                       'MDO-Port (Loading)': 2,
                       'IFO-Port (Discharging)': 20,
                       'MDO-Port (Discharging)': 2,
                       'Heating Fuel Consumption': 6,
                       'IFO-Anchor': 5,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Amsterdam',
                       'Load Port': 'Tallinn',
                       'Discharge Port': 'Amsterdam',
                       'Bunkers': 'Rotterdam',
                       'Ballast Miles Non ECA': 0,
                       'Laden Miles Non ECA': 0,
                       'Ballast Miles ECA': 1272,
                       'Laden Miles ECA': 1272,
                       'Cargo Quantity (Mts)': 30000,
                       'Commission %': 2.5,
                       'Charges - Load port': 74653.4179336765,
                       'Charges - Discharge port': 66158.266491081,
                       'Canal Dues': 9607,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 0,
                       'Days Laden Non ECA': 0,
                       'Days Ballast ECA': 5.753550762756444e-06,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 1,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 1.5,
                       'LoadingFuel': 'LSMGO',
                       'DischargeFuel': 'LSMGO',
                       'WaitingFuel': 'LSMGO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 'LSMGO'},
              'TC6': {'Knots Ballast': 12.5,
                      'Knots Laden': 13,
                      'IFO-Ballast': 21,
                      'IFO-Laden': 25,
                      'IFO-Port (Loading)': 5,
                      'MDO-Port (Loading)': 2,
                      'IFO-Port (Discharging)': 20,
                      'MDO-Port (Discharging)': 2,
                      'Heating Fuel Consumption': 0,
                      'IFO-Anchor': 5,
                      'GRT': 0,
                      '$ per GRT': 0,
                      'Suez Canal NT': 0,
                      'Canal Rate': 0,
                      'Canal Port Cost': 0,
                      'Voyage Details': 0,
                      'Last Port': 'Lavera',
                      'Load Port': 'Skikda',
                      'Discharge Port': 'Lavera',
                      'Bunkers': 'Rotterdam',
                      'Ballast Miles Non ECA': 407,
                      'Laden Miles Non ECA': 406,
                      'Ballast Miles ECA': 0,
                      'Laden Miles ECA': 0,
                      'Cargo Quantity (Mts)': 30000,
                      'Commission %': 3.75,
                      'Charges - Load port': 89631,
                      'Charges - Discharge port': 58498.7429665988,
                      'Canal Dues': 0,
                      'WS Fixed Differential': 0,
                      'Additional Expenses': 0,
                      'Weather Factor:': 0.05,
                      'Days Ballast Non ECA': 0,
                      'Days Laden Non ECA': 0,
                      'Days Ballast ECA': 0,
                      'Days Laden ECA': 0,
                      'Days-Loading': 2,
                      'Days-Discharging': 2,
                      'Days-Waiting': 1,
                      'Days-Canal': 0,
                      'Days-Heating - Maintain 135F': 0,
                      'LoadingFuel': 'IFO',
                      'DischargeFuel': 'LSMGO',
                      'WaitingFuel': 'IFO',
                      'SuezWaiting': 'NO',
                      'Lumpsum': 0,
                      'OwnerPremium': 0,
                      'HeatingFuel': 0},
              'TC9': {'Knots Ballast': 12.5,
                      'Knots Laden': 13,
                      'IFO-Ballast': 21,
                      'IFO-Laden': 25,
                      'IFO-Port (Loading)': 5,
                      'MDO-Port (Loading)': 2,
                      'IFO-Port (Discharging)': 20,
                      'MDO-Port (Discharging)': 2,
                      'Heating Fuel Consumption': 0,
                      'IFO-Anchor': 5,
                      'GRT': 0,
                      '$ per GRT': 0,
                      'Suez Canal NT': 0,
                      'Canal Rate': 0,
                      'Canal Port Cost': 0,
                      'Voyage Details': 0,
                      'Last Port': 'Le Havre',
                      'Load Port': 'Primorsk',
                      'Discharge Port': 'Le Havre',
                      'Bunkers': 'Rotterdam',
                      'Ballast Miles Non ECA': 0,
                      'Laden Miles Non ECA': 0,
                      'Ballast Miles ECA': 1616,
                      'Laden Miles ECA': 1617,
                      'Cargo Quantity (Mts)': 30000,
                      'Commission %': 3.75,
                      'Charges - Load port': 34556.6291111096,
                      'Charges - Discharge port': 61589.8479588171,
                      'Canal Dues': 9607,
                      'WS Fixed Differential': 0,
                      'Additional Expenses': 0,
                      'Weather Factor:': 0.05,
                      'Days Ballast Non ECA': 0,
                      'Days Laden Non ECA': 0,
                      'Days Ballast ECA': 1.2718023255813954e-05,
                      'Days Laden ECA': 0,
                      'Days-Loading': 2,
                      'Days-Discharging': 2,
                      'Days-Waiting': 1,
                      'Days-Canal': 0,
                      'Days-Heating - Maintain 135F': 0,
                      'LoadingFuel': 'LSMGO',
                      'DischargeFuel': 'LSMGO',
                      'WaitingFuel': 'LSMGO',
                      'SuezWaiting': 'NO',
                      'Lumpsum': 0,
                      'OwnerPremium': 0,
                      'HeatingFuel': 0},
              'TC17': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 22.5,
                       'IFO-Laden': 28,
                       'IFO-Port (Loading)': 5,
                       'MDO-Port (Loading)': 2,
                       'IFO-Port (Discharging)': 25,
                       'MDO-Port (Discharging)': 2,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 5,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Dar-es-Salaam',
                       'Load Port': 'Jubail',
                       'Discharge Port': 'Dar-es-Salaam',
                       'Bunkers': 'Singapore',
                       'Ballast Miles Non ECA': 2855,
                       'Laden Miles Non ECA': 2854,
                       'Ballast Miles ECA': 0,
                       'Laden Miles ECA': 0,
                       'Cargo Quantity (Mts)': 35000,
                       'Commission %': 3.75,
                       'Charges - Load port': 19804.8,
                       'Charges - Discharge port': 48500,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0.27,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 9.440069047362176e-06,
                       'Days Laden Non ECA': 9.440069047362176e-06,
                       'Days Ballast ECA': 0,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 1,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'IFO',
                       'DischargeFuel': 'IFO',
                       'WaitingFuel': 'IFO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TC18': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 22.5,
                       'IFO-Laden': 28,
                       'IFO-Port (Loading)': 5,
                       'MDO-Port (Loading)': 2,
                       'IFO-Port (Discharging)': 25,
                       'MDO-Port (Discharging)': 2,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 5,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Santos',
                       'Load Port': 'Houston',
                       'Discharge Port': 'Santos',
                       'Bunkers': 'Rotterdam',
                       'Ballast Miles Non ECA': 5210,
                       'Laden Miles Non ECA': 5209,
                       'Ballast Miles ECA': 381,
                       'Laden Miles ECA': 381,
                       'Cargo Quantity (Mts)': 38000,
                       'Commission %': 3.75,
                       'Charges - Load port': 37725,
                       'Charges - Discharge port': 40678.0408883659,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 9.029927760577915e-05,
                       'Days Laden Non ECA': 9.039256198347108e-05,
                       'Days Ballast ECA': 2.257481940144479e-05,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 1,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'LSMGO',
                       'DischargeFuel': 'IFO',
                       'WaitingFuel': 'LSMGO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TC5': {'Knots Ballast': 12.5,
                      'Knots Laden': 13,
                      'IFO-Ballast': 28,
                      'IFO-Laden': 33,
                      'IFO-Port (Loading)': 5,
                      'MDO-Port (Loading)': 2,
                      'IFO-Port (Discharging)': 32,
                      'MDO-Port (Discharging)': 2,
                      'Heating Fuel Consumption': 0,
                      'IFO-Anchor': 5,
                      'GRT': 0,
                      '$ per GRT': 0,
                      'Suez Canal NT': 0,
                      'Canal Rate': 0,
                      'Canal Port Cost': 0,
                      'Voyage Details': 0,
                      'Last Port': 'Yokohama',
                      'Load Port': 'Ras Tanura',
                      'Discharge Port': 'Yokohama',
                      'Bunkers': 'Singapore',
                      'Ballast Miles Non ECA': 6638,
                      'Laden Miles Non ECA': 6637,
                      'Ballast Miles ECA': 0,
                      'Laden Miles ECA': 0,
                      'Cargo Quantity (Mts)': 55000,
                      'Commission %': 3.75,
                      'Charges - Load port': 21181.066666666666,
                      'Charges - Discharge port': 54347.7801188669,
                      'Canal Dues': 0,
                      'WS Fixed Differential': 0.27,
                      'Additional Expenses': 0,
                      'Weather Factor:': 0.05,
                      'Days Ballast Non ECA': 1.5305230015742523e-05,
                      'Days Laden Non ECA': 1.5307907627711687e-05,
                      'Days Ballast ECA': 0,
                      'Days Laden ECA': 0,
                      'Days-Loading': 2,
                      'Days-Discharging': 2,
                      'Days-Waiting': 1,
                      'Days-Canal': 0,
                      'Days-Heating - Maintain 135F': 0,
                      'LoadingFuel': 'IFO',
                      'DischargeFuel': 'IFO',
                      'WaitingFuel': 'IFO',
                      'SuezWaiting': 'NO',
                      'Lumpsum': 0,
                      'OwnerPremium': 0,
                      'HeatingFuel': 0},
              'TC8': {'Knots Ballast': 12.5,
                      'Knots Laden': 13,
                      'IFO-Ballast': 28,
                      'IFO-Laden': 33,
                      'IFO-Port (Loading)': 5,
                      'MDO-Port (Loading)': 2,
                      'IFO-Port (Discharging)': 32,
                      'MDO-Port (Discharging)': 2,
                      'Heating Fuel Consumption': 0,
                      'IFO-Anchor': 5,
                      'GRT': 42432,
                      '$ per GRT': 0,
                      'Suez Canal NT': 38300,
                      'Canal Rate': 164200,
                      'Canal Port Cost': 0,
                      'Voyage Details': 0,
                      'Last Port': 'Rotterdam',
                      'Load Port': 'Jubail',
                      'Discharge Port': 'Rotterdam',
                      'Bunkers': 'Rotterdam',
                      'Ballast Miles Non ECA': 6090,
                      'Laden Miles Non ECA': 6090,
                      'Ballast Miles ECA': 417,
                      'Laden Miles ECA': 424,
                      'Cargo Quantity (Mts)': 65000,
                      'Commission %': 3.75,
                      'Charges - Load port': 24998.666666666668,
                      'Charges - Discharge port': 78305.9978450856,
                      'Canal Dues': 414299,
                      'WS Fixed Differential': 6.53,
                      'Additional Expenses': 0.27,
                      'Weather Factor:': 0.05,
                      'Days Ballast Non ECA': 0,
                      'Days Laden Non ECA': 0,
                      'Days Ballast ECA': 0,
                      'Days Laden ECA': 0,
                      'Days-Loading': 2,
                      'Days-Discharging': 2,
                      'Days-Waiting': 1,
                      'Days-Canal': 2,
                      'Days-Heating - Maintain 135F': 0,
                      'LoadingFuel': 'IFO',
                      'DischargeFuel': 'LSMGO',
                      'WaitingFuel': 'IFO',
                      'SuezWaiting': 'Yes',
                      'Lumpsum': 0,
                      'OwnerPremium': 0,
                      'HeatingFuel': 0},
              'TC16': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 28,
                       'IFO-Laden': 33,
                       'IFO-Port (Loading)': 5,
                       'MDO-Port (Loading)': 2,
                       'IFO-Port (Discharging)': 32,
                       'MDO-Port (Discharging)': 2,
                       'Heating Fuel Consumption': 0,
                       'IFO-Anchor': 5,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Offshore Lome',
                       'Load Port': 'Amsterdam',
                       'Discharge Port': 'Offshore Lome',
                       'Bunkers': 'Rotterdam',
                       'Ballast Miles Non ECA': 3717,
                       'Laden Miles Non ECA': 3727,
                       'Ballast Miles ECA': 455,
                       'Laden Miles ECA': 444,
                       'Cargo Quantity (Mts)': 60000,
                       'Commission %': 2.5,
                       'Charges - Load port': 100010.77457201,
                       'Charges - Discharge port': 10792.529630073,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 0.000214987714987715,
                       'Days Laden Non ECA': 0.00021551724137931034,
                       'Days Ballast ECA': 0.0001074938574938575,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 1,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'LSMGO',
                       'DischargeFuel': 'IFO',
                       'WaitingFuel': 'LSMGO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 0},
              'TD12': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 28,
                       'IFO-Laden': 33,
                       'IFO-Port (Loading)': 5,
                       'MDO-Port (Loading)': 2,
                       'IFO-Port (Discharging)': 32,
                       'MDO-Port (Discharging)': 2,
                       'Heating Fuel Consumption': 8,
                       'IFO-Anchor': 5,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Houston',
                       'Load Port': 'Antwerp',
                       'Discharge Port': 'Houston',
                       'Bunkers': 'Rotterdam',
                       'Ballast Miles Non ECA': 3712,
                       'Laden Miles Non ECA': 3712,
                       'Ballast Miles ECA': 1388,
                       'Laden Miles ECA': 1388,
                       'Cargo Quantity (Mts)': 55000,
                       'Commission %': 2.5,
                       'Charges - Load port': 120057.464384053,
                       'Charges - Discharge port': 47955,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 0,
                       'Days Laden Non ECA': 0,
                       'Days Ballast ECA': 0,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 1,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 0,
                       'LoadingFuel': 'LSMGO',
                       'DischargeFuel': 'LSMGO',
                       'WaitingFuel': 'LSMGO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 'LSMGO'},
              'TD21': {'Knots Ballast': 12.5,
                       'Knots Laden': 13,
                       'IFO-Ballast': 28,
                       'IFO-Laden': 33,
                       'IFO-Port (Loading)': 5,
                       'MDO-Port (Loading)': 2,
                       'IFO-Port (Discharging)': 32,
                       'MDO-Port (Discharging)': 2,
                       'Heating Fuel Consumption': 8,
                       'IFO-Anchor': 5,
                       'GRT': 0,
                       '$ per GRT': 0,
                       'Suez Canal NT': 0,
                       'Canal Rate': 0,
                       'Canal Port Cost': 0,
                       'Voyage Details': 0,
                       'Last Port': 'Houston',
                       'Load Port': 'Mamonal',
                       'Discharge Port': 'Houston',
                       'Bunkers': 'Rotterdam',
                       'Ballast Miles Non ECA': 1232,
                       'Laden Miles Non ECA': 1232,
                       'Ballast Miles ECA': 397,
                       'Laden Miles ECA': 396,
                       'Cargo Quantity (Mts)': 50000,
                       'Commission %': 2.5,
                       'Charges - Load port': 47007,
                       'Charges - Discharge port': 47955,
                       'Canal Dues': 0,
                       'WS Fixed Differential': 0,
                       'Additional Expenses': 0,
                       'Weather Factor:': 0.05,
                       'Days Ballast Non ECA': 3.064798598949212e-05,
                       'Days Laden Non ECA': 3.0658724597056764e-05,
                       'Days Ballast ECA': 1.532399299474606e-05,
                       'Days Laden ECA': 0,
                       'Days-Loading': 2,
                       'Days-Discharging': 2,
                       'Days-Waiting': 1,
                       'Days-Canal': 0,
                       'Days-Heating - Maintain 135F': 1.500030658724597,
                       'LoadingFuel': 'IFO',
                       'DischargeFuel': 'LSMGO',
                       'WaitingFuel': 'IFO',
                       'SuezWaiting': 'NO',
                       'Lumpsum': 0,
                       'OwnerPremium': 0,
                       'HeatingFuel': 'LSMGO'}}
